Retrieve an order message
GET
/orders/{order_id}/messages/{message_id}
const url = 'https://acme.mykreezalid.com/api/v1/orders/1/messages/1';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://acme.mykreezalid.com/api/v1/orders/1/messages/1 \ --header 'Authorization: Basic <credentials>'Retrieves one message of an order.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”order_id
required
integer
ID of the order
message_id
required
integer
ID of the message
Responses
Section titled “Responses”The message
Media typeapplication/json
A message exchanged between the customer and the vendor about an order.
object
id
Message’s unique identifier
integer
order_id
Identifier of the order
integer
user_id
Identifier of the user who wrote the message
integer
role
Who wrote it: 1 the customer, 2 the vendor, 3 an administrator
integer
subject
string
content
string
created
string format: date-time
Example
{ "id": 4242, "order_id": 185423, "user_id": 545353, "role": 1, "subject": "Delivery date", "content": "Could you deliver on Friday?", "created": "2026-10-13T09:41:05+00:00"}The order has no message with this identifier.
Media typeapplication/json
Error body returned when the API refuses a request.
object
code
HTTP status code, repeated in the body.
integer
status
string
message
string
Example
{ "code": 400, "status": "error", "message": "Some parameters are not correct"}